summarylogtreecommitdiffstats
path: root/sawfish.install
diff options
context:
space:
mode:
Diffstat (limited to 'sawfish.install')
-rw-r--r--sawfish.install21
1 files changed, 21 insertions, 0 deletions
diff --git a/sawfish.install b/sawfish.install
new file mode 100644
index 000000000000..3b43a746612a
--- /dev/null
+++ b/sawfish.install
@@ -0,0 +1,21 @@
+infodir=/usr/share/info
+file=sawfish.info
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_remove() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+} \ No newline at end of file